Installation Guide v3 - System Requirements E-mail
Written by Paul (Team Member)   
Article Index
Installation Guide v3
System Requirements
Installing
Setup Wizard: Health Cheak
Setup Wizard: Editing Area
Setup Wizard: User Folders
Setup Wizard: Editing styles - Quick
Setup Wizard: Editing styles - Hybrid
Editing Styles : Bring the editor in line with your styles
Setup Wizard: Creating a editor.css file
Joomla Configuration: Enabling plug-ins
Joomla Configuration: Setting the editor as default
Joomla Configuration: Joomla User Accounts
Joomla Configuration: Text Filtering
JCK Manager: Plugin Manager
JCK Manager: Plugin Permissions
JCK Manager: Installing JCK Plugins
JCK Manager: Layout Manager
JCK Manager: Toolbar Assignment
JCK Manager: System Check
JCK Manager: Backup and Restore
JCK Manager: Upgrading - Automatic update process
JCK Manager: Upgrading - Using Joomla's Installer
JCK Manager: Upgrading JCK Plugins
JCK Manager: Sync
JCK Manager: Uninstalling
JCK Editor: Configuration Options
Troubleshooting - (Content being stripped away)
Troubleshooting - (Warning: the JCK Editor cannot find a default template.css...)
Troubleshooting - (File Browsers, Internal Linking and Install Wizard)
Troubleshooting - (File permissions)
Troubleshooting - (.htaccess & Admin Tools from Akeeba)
Troubleshooting - (Slow Performance)
All Pages

System Requirements



Our editor runs on Joomla! and has the same requirements. From version 3.4.6 the Editor requires PHP 5+, this was done to better support Xamp which is a easy to install Apache distribution containing MySQL, PHP and Perl. Due to the PHP5's strict compliance the editor no longer support PHP4.

Minimum requirements:

  • PHP 5.3 or up,
  • MySQL 5 or up,
  • Joomla! 1.5.x ,2.5x & 3x.

Requirements for the editor's File Browser & Internal linking system:

The recommended configuration for Apache servers is 755 and 0644 for folders and files respectively with suPHP (which is a tool for executing PHP scripts with the permissions of their owners) installed running on PHP 5+ & MySQL 5+. If you are unsure of your server-side settings we recommend contacting your hosting provider to ask them about your configuration prior to installing the editor. This is becasue of the editor's file browser, install wizard, internal linking system and HTML5 Drag-&-Drop upload all requiring folders and files to be read / writable to work.

For more official documentation on Joomla’s hosting requirements, please see below:



Last Updated on Monday, 19 May 2014 09:46
 

Share this post